> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/marketing/api/ecommerce/list-store-orders/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # List orders GET https://api.mailchimp.com/3.0/ecommerce/stores/{store_id}/orders Get information about a store's orders. Reference: https://mailchimp.com/developer/marketing/api/ecommerce/list-store-orders ## Authentication - `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token) - `Authorization` header (bearer token, required) — Authorization using OAuth ## Request ### Path parameters - `store_id` (string, required) — The store id. ### Query parameters - `fields` (list of string, optional) — A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. - `exclude_fields` (list of string, optional) — A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. - `count` (integer, optional, default: 10) — The number of records to return. Default value is 10. Maximum value is 1000 - `offset` (integer, optional, default: 0) — Used for [pagination](https://mailchimp.com/developer/marketing/docs/methods-parameters/#pagination), this is the number of records from a collection to skip. Default value is 0. - `customer_id` (string, optional) — Restrict results to orders made by a specific customer. - `has_outreach` (boolean, optional) — Restrict results to orders that have an outreach attached. For example, an email campaign or Facebook ad. - `campaign_id` (string, optional) — Restrict results to orders with a specific `campaign_id` value. - `outreach_id` (string, optional) — Restrict results to orders with a specific `outreach_id` value. ## Response ### 200 - `store_id` (string, optional) — The store id. - `orders` (list of ECommerceOrder, optional) — An array of objects, each representing an order in a store. - `total_items` (integer, optional) — The total number of items matching the query regardless of pagination. - `_links` (list of 30EcommerceStoresStoreIdOrdersGetResponsesContentApplicationJsonSchemaLinksItems, optional) — A list of link types and descriptions for the API schema documents. ## Types ### ECommerceOrder Information about a specific order. - `_links` (list of ECommerceOrderLinksItems, optional) — A list of link types and descriptions for the API schema documents. - `billing_address` (ECommerceOrderBillingAddress, optional) — The billing address for the order. - `campaign_id` (string, optional) — A string that uniquely identifies the campaign associated with an order. - `cart_id` (string, optional) — A cart id that the order was placed for. - `cancelled_at_foreign` (datetime, optional) — The date and time the order was cancelled in ISO 8601 format. - `currency_code` (string, optional) — The three-letter ISO 4217 code for the currency that the store accepts. - `customer` (ECommerceCustomer, optional) — Information about a specific customer. - `discount_total` (double, optional) — The total amount of the discounts to be applied to the price of the order. - `financial_status` (string, optional) — The order status. Use this parameter to trigger [Order Notifications](https://mailchimp.com/developer/marketing/docs/e-commerce/#order-notifications). - `fulfillment_status` (string, optional) — The fulfillment status for the order. Use this parameter to trigger [Order Notifications](https://mailchimp.com/developer/marketing/docs/e-commerce/#order-notifications). - `id` (string, optional) — A unique identifier for the order. - `landing_site` (string, optional) — The URL for the page where the buyer landed when entering the shop. - `lines` (list of ECommerceOrderLineItem, optional) — An array of the order's line items. - `order_total` (ECommerceOrderOrderTotal, optional) - `order_url` (string, optional) — The URL for the order. - `outreach` (ECommerceOrderOutreach, optional) — The outreach associated with this order. For example, an email campaign or Facebook ad. - `processed_at_foreign` (datetime, optional) — The date and time the order was processed in ISO 8601 format. - `promos` (list of ECommerceOrderPromosItems, optional) — The promo codes applied on the order - `shipping_address` (ECommerceOrderShippingAddress, optional) — The shipping address for the order. - `shipping_total` (ECommerceOrderShippingTotal, optional) - `store_id` (string, optional) — The unique identifier for the store. - `tax_total` (ECommerceOrderTaxTotal, optional) - `tracking_carrier` (string, optional) — The tracking carrier associated with the order. - `tracking_code` (enum, optional) — The Mailchimp tracking code for the order. Uses the 'mc_tc' parameter in E-Commerce tracking URLs. - Allowed values: `prec` - `tracking_number` (string, optional) — The tracking number associated with the order. - `tracking_url` (string, optional) — The tracking URL associated with the order. - `updated_at_foreign` (datetime, optional) — The date and time the order was updated in ISO 8601 format. ### 30EcommerceStoresStoreIdOrdersGetResponsesContentApplicationJsonSchemaLinksItems This object represents a link from the resource where it is found to another resource or action that may be performed. - `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action. - `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'. - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD` - `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link. - `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to. - `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to. ### ECommerceOrderLinksItems This object represents a link from the resource where it is found to another resource or action that may be performed. - `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action. - `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'. - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD` - `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link. - `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to. - `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to. ### ECommerceOrderBillingAddress The billing address for the order. - `address1` (string, optional) — The billing address for the order. - `address2` (string, optional) — An additional field for the billing address. - `city` (string, optional) — The city in the billing address. - `company` (string, optional) — The company associated with the billing address. - `country` (string, optional) — The country in the billing address. - `country_code` (string, optional) — The two-letter code for the country in the billing address. - `latitude` (double, optional) — The latitude for the billing address location. - `longitude` (double, optional) — The longitude for the billing address location. - `name` (string, optional) — The name associated with an order's billing address. - `phone` (string, optional) — The phone number for the billing address. - `postal_code` (string, optional) — The postal or zip code in the billing address. - `province` (string, optional) — The state or normalized province in the billing address. - `province_code` (string, optional) — The two-letter code for the province or state in the billing address. ### ECommerceCustomer Information about a specific customer. - `_links` (list of ECommerceCustomerLinksItems, optional) — A list of link types and descriptions for the API schema documents. - `address` (ECommerceCustomerAddress, optional) — The customer's address. - `company` (string, optional) — The customer's company. - `created_at` (datetime, optional) — The date and time the customer was created in ISO 8601 format. - `email_address` (string, optional) — The customer's email address. - `first_name` (string, optional) — The customer's first name. - `id` (string, optional) — A unique identifier for the customer. - `last_name` (string, optional) — The customer's last name. - `opt_in_status` (boolean, optional) — The customer's opt-in status. This value will never overwrite the opt-in status of a pre-existing Mailchimp list member, but will apply to list members that are added through the e-commerce API endpoints. Customers who don't opt in to your Mailchimp list [will be added as `Transactional` members](https://mailchimp.com/developer/marketing/docs/e-commerce/#customers). - `orders_count` (integer, optional) — The customer's total order count. - `sms_phone_number` (string, optional) — A US phone number for SMS contact. - `total_spent` (ECommerceCustomerTotalSpent, optional) - `updated_at` (datetime, optional) — The date and time the customer was last updated in ISO 8601 format. ### ECommerceOrderLineItem Information about a specific order line. - `_links` (list of ECommerceOrderLineItemLinksItems, optional) — A list of link types and descriptions for the API schema documents. - `discount` (double, optional) — The total discount amount applied to a line item. - `id` (string, optional) — A unique identifier for an order line item. - `image_url` (string, optional) — The image URL for a product. - `price` (ECommerceOrderLineItemPrice, optional) - `product_id` (string, optional) — A unique identifier for the product associated with an order line item. - `product_title` (string, optional) — The name of the product for an order line item. - `product_variant_id` (string, optional) — A unique identifier for the product variant associated with an order line item. - `product_variant_title` (string, optional) — The name of the product variant for an order line item. - `quantity` (integer, optional) — The order line item quantity. ### ECommerceOrderOrderTotal ### ECommerceOrderOutreach The outreach associated with this order. For example, an email campaign or Facebook ad. - `id` (string, optional) — A unique identifier for the outreach. Can be an email campaign ID. - `name` (string, optional) — The name for the outreach. - `published_time` (datetime, optional) — The date and time the Outreach was published in ISO 8601 format. - `type` (string, optional) — The type of the outreach. ### ECommerceOrderPromosItems - `amount_discounted` (double, optional) — The amount of discount applied on the total price. For example if the total cost was $100 and the customer paid $95.5, amount_discounted will be 4.5 For free shipping set amount_discounted to 0 - `code` (string, optional) — The Promo Code - `type` (enum, optional) — Type of discount. For free shipping set type to fixed - Allowed values: `fixed`, `percentage` ### ECommerceOrderShippingAddress The shipping address for the order. - `address1` (string, optional) — The shipping address for the order. - `address2` (string, optional) — An additional field for the shipping address. - `city` (string, optional) — The city in the order's shipping address. - `company` (string, optional) — The company associated with an order's shipping address. - `country` (string, optional) — The country in the order's shipping address. - `country_code` (string, optional) — The two-letter code for the country in the shipping address. - `latitude` (double, optional) — The latitude for the shipping address location. - `longitude` (double, optional) — The longitude for the shipping address location. - `name` (string, optional) — The name associated with an order's shipping address. - `phone` (string, optional) — The phone number for the order's shipping address - `postal_code` (string, optional) — The postal or zip code in the order's shipping address. - `province` (string, optional) — The state or normalized province in the order's shipping address. - `province_code` (string, optional) — The two-letter code for the province or state the order's shipping address is located in. ### ECommerceOrderShippingTotal ### ECommerceOrderTaxTotal ### ECommerceCustomerLinksItems This object represents a link from the resource where it is found to another resource or action that may be performed. - `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action. - `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'. - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD` - `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link. - `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to. - `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to. ### ECommerceCustomerAddress The customer's address. - `address1` (string, optional) — The mailing address of the customer. - `address2` (string, optional) — An additional field for the customer's mailing address. - `city` (string, optional) — The city the customer is located in. - `country` (string, optional) — The customer's country. - `country_code` (string, optional) — The two-letter code for the customer's country. - `postal_code` (string, optional) — The customer's postal or zip code. - `province` (string, optional) — The customer's state name or normalized province. - `province_code` (string, optional) — The two-letter code for the customer's province or state. ### ECommerceCustomerTotalSpent ### ECommerceOrderLineItemLinksItems This object represents a link from the resource where it is found to another resource or action that may be performed. - `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action. - `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'. - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD` - `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link. - `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to. - `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to. ### ECommerceOrderLineItemPrice ## Examples **Response** ```json { "store_id": "string", "orders": [ { "_links": [ { "href": "string", "method": "GET", "rel": "string", "schema": "string", "targetSchema": "string" } ], "billing_address": { "address1": "675 Ponce de Leon Ave NE", "address2": "Suite 5000", "city": "Atlanta", "company": "string", "country": "United States", "country_code": "US", "latitude": 45.427408, "longitude": -75.68903, "name": "Freddie Chimpenheimer", "phone": "8675309", "postal_code": "30308", "province": "Georgia", "province_code": "GA" }, "campaign_id": "839488a60b", "cart_id": "cart-123", "cancelled_at_foreign": "2015-07-15T19:28:00+00:00", "currency_code": "string", "customer": { "_links": [ { "href": "string", "method": "GET", "rel": "string", "schema": "string", "targetSchema": "string" } ], "address": { "address1": "675 Ponce de Leon Ave NE", "address2": "Suite 5000", "city": "Atlanta", "country": "United States", "country_code": "US", "postal_code": "30308", "province": "Georgia", "province_code": "GA" }, "company": "string", "created_at": "2015-07-15T19:28:00+00:00", "email_address": "string", "first_name": "string", "id": "string", "last_name": "string", "opt_in_status": true, "orders_count": 4, "sms_phone_number": "string", "total_spent": 1.1, "updated_at": "2015-07-15T19:28:00+00:00" }, "discount_total": 1.1, "financial_status": "string", "fulfillment_status": "string", "id": "string", "landing_site": "http://www.example.com?source=abc", "lines": [ { "_links": [ { "href": "string", "method": "GET", "rel": "string", "schema": "string", "targetSchema": "string" } ], "discount": 1.1, "id": "string", "image_url": "string", "price": 1.1, "product_id": "string", "product_title": "string", "product_variant_id": "string", "product_variant_title": "string", "quantity": 1 } ], "order_total": 1.1, "order_url": "string", "outreach": { "id": "839488a60b", "name": "Freddie's Jokes", "published_time": "2017-06-06T13:56:12+00:00", "type": "regular" }, "processed_at_foreign": "2015-07-15T19:28:00+00:00", "promos": [ { "amount_discounted": 1.1, "code": "string", "type": "fixed" } ], "shipping_address": { "address1": "675 Ponce de Leon Ave NE", "address2": "Suite 5000", "city": "Atlanta", "company": "string", "country": "United States", "country_code": "US", "latitude": 45.427408, "longitude": -75.68903, "name": "Freddie Chimpenheimer", "phone": "8675309", "postal_code": "30308", "province": "Georgia", "province_code": "GA" }, "shipping_total": 1.1, "store_id": "string", "tax_total": 1.1, "tracking_carrier": "string", "tracking_code": "prec", "tracking_number": "string", "tracking_url": "string", "updated_at_foreign": "2015-07-15T19:28:00+00:00" } ], "total_items": 1, "_links": [ { "href": "string", "method": "GET", "rel": "string", "schema": "string", "targetSchema": "string" } ] } ``` **SDK Code** ```python import requests url = "https://api.mailchimp.com/3.0/ecommerce/stores/store_id/orders" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mailchimp.com/3.0/ecommerce/stores/store_id/orders'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.mailchimp.com/3.0/ecommerce/stores/store_id/orders" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mailchimp.com/3.0/ecommerce/stores/store_id/orders") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.mailchimp.com/3.0/ecommerce/stores/store_id/orders") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.mailchimp.com/3.0/ecommerce/stores/store_id/orders', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mailchimp.com/3.0/ecommerce/stores/store_id/orders"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/ecommerce/stores/store_id/orders")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.